﻿using System;
using System.IO;

namespace iowithoutexceptions
{
    public class FileLineReader
    {
        private StreamReader _reader;

        public int Open(String filename)
        {
            try
            {
                _reader = new StreamReader(filename);
                return 0;
            }
            catch (IOException)
            {
                return -1;
            }
        }

        public String ReadLine()
        {
            if (_reader == null) return null;
            try
            {
                return _reader.ReadLine();
            }
            catch (IOException)
            {
                return null;
            }
        }

        public int Close()
        {
            if (_reader == null) return -1;
            try
            {
                _reader.Close();
                return 0;
            }
            catch (IOException)
            {
                return -2;
            }
        }
    }
}
