﻿using System;
using System.IO;

namespace iowithoutexceptions
{
    class Program
    {
        private const string FileName = @"c:\temp\file.txt";

        static void Main()
        {   
            MainOrdinary();
            //MainNoExceptions();
        }

        private static void MainOrdinary()
        {
            try
            {
                using (StreamReader reader = new StreamReader(FileName))
                {
                    String line = reader.ReadLine();
                    Console.WriteLine(line);
                }
            }
            catch (IOException ex)
            {
                Console.WriteLine(ex.Message);
            }
        }

        private static void MainNoExceptions()
        {
            FileLineReader fileLineReader = new FileLineReader();

            int status = fileLineReader.Open(FileName);
            if (status != 0)
            {
                Console.WriteLine("Error trying to open file");
                return;
            }
            String line = fileLineReader.ReadLine();
            if (line == null)
            {
                Console.WriteLine("Error trying to read the file");
                return;
            }
            Console.WriteLine(line);
            status = fileLineReader.Close();
            if (status != 0)
            {
                Console.WriteLine("Error trying to close file: " + status);
            }
        }
    }
}
